%define srcname CouchDB
Name:           python-couchdb
Version:        0.6.1
Release:        %mkrel 2
Summary:        A Python library for working with CouchDB

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/couchdb-python/
Source0:        http://pypi.python.org/packages/source/C/CouchDB/%{srcname}-%{version}.tar.gz
Patch0:         python-couchdb-shebang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
%py_requires -d
BuildRequires:  python-setuptools
Requires:       python-httplib2
Requires:       python-simplejson

%package devel
Summary:        The  API reference files for CouchDB 
Group:          Development/Python
Requires:       %{name} = %{version}


%description
Providing a convenient high level interface for the CouchDB server.

%description devel
CouchDB python binding API reference documentation for use in development. 


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

# calm rpmlint down
find  %{buildroot}/%{python_sitelib}/couchdb -name \*.py -print0 | xargs --null chmod 0644


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog.txt COPYING README.txt 
%{_bindir}/couchdb-dump
%{_bindir}/couchdb-load
%{_bindir}/couchdb-replicate
%{_bindir}/couchpy
%{python_sitelib}/CouchDB-%{version}-py%{python_version}.egg-info
%{python_sitelib}/couchdb

%files devel
%defattr(-,root,root,-)
%doc doc/api doc/index.html


%changelog
* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-2mdv2010.1
+ Revision: 505607
- Does not require couchdb

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 505157
- Use %%py_requires macro
- First Mandriva package based on Fedora's
- create python-couchdb

